---
title: Fediverse Survey Summary 1
date: 2019-05-13 17:19
author: Lynne
categories: [The Fediverse]
tags: [Fediverse Survey]
summary: The first of three summaries of data collected from the 2019 Fediverse Survey.
---

*Update 17/05/19: Changed the license to CC-BY-SA.*  
*Update 20/05/19: The survey has ended.*

I decided to create [a small survey](https://l.bune.city/zQLb) to get some information about the Fediverse. It opened about 16 hours ago, and I've already received over five hundred responses!!

As promised, the response data is available under a free documentation license (specifically the [CC-BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/)). You can download a CSV [here](https://cloud.lynnesbian.space/s/dDaAWS6teoRn2Sn/download), and a xlsx [here](https://cloud.lynnesbian.space/s/rTiAfoFsqJZ6Ax6). These links will always refer to the data as of this point, with later links being added for later revisions of the data. I've also provided a PDF "summary" [here](https://cloud.lynnesbian.space/s/yxpko4NPzCCTJFe). The provided data doesn't include incomplete responses.

<!--more-->

With that out of the way, let's take a look at the data!

The Fediverse
-------------

### What type of instance(s) do you use?

This question was multiple choice, and aimed to gauge how many people were using different types of Fediverse servers.

![The first question is perhaps the most surprising - *over 90%* of respondents used Mastodon.](https://cdn.bune.city/2019/05/image-2.png)

I am well aware that most of the Fediverse is based upon Mastodon and Pleroma, but I was surprised to find that such a large percentage of people actively used Mastodon. I expected Pleroma to be in second place, but I was expecting a much closer second, rather than the actual result of 18%. I was also surprised to find that only 8 respondents used Misskey -- lower than the number of diaspora\* users, which is *very* surprising, considering diaspora\* doesn't federate with Mastodon, which is where I posted a link to my survey!

It seems my little survey made it much, *much* farther than I was expecting it to. I assumed that it would only get 150 or so responses after a month, not 500 in less than 24 hours! I thought it would remain mostly within my circle of friends and mutual followers, but evidently I was wrong :mlem:

I was also surprised to find 9 users of Nextcloud Social, when I was expecting 1 at most. Finally, Osada is at 0 users, which I again did not expect. There's a lot of surprising results in this first question alone.

Taking a look at some of the "other" responses, we see a lot of people mentioning glitch-soc, a fork of Mastodon. I was originally considering including this as a separate option, but decided not to, as I thought it may split the Mastodon respondents.

Some people responded with answers like "Fedilab" and "Toot!", which are names of Mastodon applications for mobile devices. Another user responded "Uhh…i just use my browser". I believe this shows that the concept of the Fediverse is rather confusing, given that some people aren't even aware of what software their instance of choice is running.

I also got a few replies mentioning Plume, which I elected not to include due to its relatively tiny userbase. However, given that Osada had 0 users and Plume had 7, I can see that I made the wrong choice.

![The "other" responses.](https://lynnesbian.space/res/ceres/sshot_2019-05-13_at_16-23-22-1557728602.png)

### Which Fediverse software(s) have you heard of?

This was another multiple choice question.

![](https://cdn.bune.city/2019/05/image-4-1024x618.png)

Unsurprisingly, almost everyone has heard of Mastodon (494 out of 501 respondents). Pleroma is close behind at 448 respondents. Peertube and Pixelfed are also in the 400s. It seems that while nobody who responded used Osada, 43 people had heard of it.

Under the "other" section, many people mentioned Plume again, as well as Funkwhale. Friendica also appeared a few times - I actually meant to add an option for Friendica but forgot to - and glitch-soc appeared again. As with the previous "other" option, xmpp was mentioned. I don't know whether I'd consider it part of the fed*iverse*, but it is fed*erated*.

### How long have you used the Fediverse?

Immediately upon looking at the results, it becomes obvious that I needed to add higher date ranges.

!["Other" is nearly double the second most reported answer.](https://cdn.bune.city/2019/05/image-5-1024x561.png)

The "other" option accounts for the majority of responses, with many people saying they've been on the Fediverse for two or more years. I really should have designed the survey with more options for this question, but I was working under the assumption that the survey would stay mostly within my "inner circle". Most of my friends and acquaintances on the Fediverse joined around August 2018 like I did, in the "Twitter Exodus". I wasn't really planning on there being many responses in the "greater than one year" range. One respondent said they'd been on the Fediverse for 9+ years!

### Do you run a Fediverse instance?

I was expecting around 5% yes here, but got 23% instead!

![](https://cdn.bune.city/2019/05/image-6.png)

### Do you administrate/moderate/etc. someone else's Fediverse instance?

This is more along the lines of what I was expecting - 94% no, only 6% yes.

![](https://cdn.bune.city/2019/05/image-7-1024x607.png)

### Why did you decide to join the Fediverse?

With questions like this, you can never account for everyone. Nevertheless, I provided four options which I felt would be the most prevalent, and sure enough, only 20% of respondents needed to select "other".

![A lot of people don't enjoy their data being mined, it seems.](https://cdn.bune.city/2019/05/image-8-1024x542.png)

Many of the "other" responses directly mentioned Twitter's abysmal moderation.

> Twitter's moderation and blocking policies with regard to hate speech and harassment.
>
> <cite>Respondent 63</cite>

Many also mentioned Tumblr's recent nudity ban.

> tumblr banned titties and i joined as a meme but then it turned out to actually be way better than tumblr so i left
>
> <cite>Respondent 68</cite>

Finally, there were lots of responses that mentioned LGBT+ discrimination that occurs on other platforms, and how they joined the Fediverse to avoid it.

> As a trans girl, other social media experiences were becoming horrible for my mental health.  
> Twitter's response to certain elements of its userbase were the final straw.
>
> <cite>Respondent 529</cite>

### How happy are you with your instance?

With a mean of 4.33, most people love their instance!

![](https://cdn.bune.city/2019/05/image-9-1024x597.png)

I honestly expected this, because there are so many instances to choose from that cater to so many different demographics and interests. If you don't like your instance, it's fairly easy to move to another one, and you'll still be able to talk to your friends. However, once you've built up thousands of posts or followers, it can become difficult to pull the plug and move somewhere else, as posts and followers don't automatically "make the jump" to your new account.

### How happy are you with the Fediverse as a whole?

A mean of 3.84 shows that most people are pretty happy with the Fediverse.

![Most people chose 4, with 3 in distant second place.](https://cdn.bune.city/2019/05/image-10-1024x601.png)

Interestingly, 3 people reported being very unhappy with the Fediverse. I guess there's not really a better alternative, though, is there? :mlem:

I voted 4 here, as did most people. I'm pretty happy with things, but there are some flaws, like how difficult it is to find a post that hasn't federated yet using ActivityPub (although this is a development concern and not a usability one).

Centralised Networks
--------------------

The second part of the survey talked about centralised social networks, such as Twitter, Facebook, etc.

### Have you ever used a centralised (non-Fediverse) social network, such as Facebook, Pinterest, Instagram, LinkedIn, Tellonym, or others?

Unsurprisingly, almost everyone said yes.

![](https://cdn.bune.city/2019/05/image-11-1024x582.png)

96% of people said they had used a centralised network before. The 21 who haven't are very lucky people indeed!

### Which of the following non-Fediverse social networks have you used?

As with earlier, I left out a fairly major option here - tumblr. The majority of "other" responses mention tumblr.

![I mentioned LinkedIn in the previous question, but forgot to include it...](https://cdn.bune.city/2019/05/image-12-1024x590.png)

The most popular network here is Twitter, closely followed by Facebook. Everything falls off after reddit. Instagram has fewer users than I expected, as a lot of my friends still use Instagram even after leaving Facebook and Twitter (I know Instagram is owned by Facebook, but the two platforms are still separate things). Once again, the survey got a lot more respondents than I was expecting!

Some of the "other" responses mentioned YouTube and Discord, which I didn't consider social networks. I thought hard about including YouTube in particular, as it has posts, comments, likes, etc., but in light of their recent decision to remove the posts feature to focus more on video hosting, I decided not to. Messaging clients like Telegram and WhatsApp were also mentioned, and Google+ came up more than once. If I ever do a survey like this again, I'll make sure to include more options for both Fediverse and centralised networks.

### Do you still use a non-Fediverse social network?

About 75% of people do.

![](https://cdn.bune.city/2019/05/image-13.png)

### Which non-Fediverse social networks are you still using, if any?

I don't know why I said "if any", because this question is only asked if you replied "yes" to the prior one.

![](https://cdn.bune.city/2019/05/image-14-1024x595.png)

I removed Vine and Friendster from the options here, due to them being dead. I also remembered to add LinkedIn here, but not on the previous one. Oops!

The responses are pretty similar to the question that asked which centralised networks you had ever used, although Twitter and reddit are much more relatively common than in that one.

### Do you prefer federated social networks to non-federated ones?

The results on this one are pretty obviously biased, but I wanted to include it anyway.

![It looks like a few people responded "strongly prefer centralised networks", but this is just a rendering error.](https://cdn.bune.city/2019/05/image-15-1024x587.png)

There's not really much to say here. The majority of people strongly prefer the network type they choose to use.

Summary
-------

While I didn't include a few options that I really should have, things seem to have gone pretty well.

I'll end this with one of the feedback responses I received:

> Use this to change the world pls
>
> <cite>Anonymous respondent</cite>

