---
title: The Fediverse TriBune Issue 2
date: 2019-08-14 01:14
updated: 2020-04-02
author: Lynne
categories: [Fediverse TriBune]
cw: [shootings, pol, uspol, slurs]
cw_description: This issue contains discussions of mass shootings and US politics. It also deals with the presence of alt-right gathering spaces on the Fediverse. Finally, some screenshots in the Fedichive section contain various slurs. This issue is more opinionated than the previous.
---

Welcome to issue two of the Fediverse Tribune. This issue will discuss the decisions on Gab made by Fedilab and Tusky, and F-Droid's thoughts on those decisions. It will also discuss the rather short-lived "Fedichive" project.

<!--more-->

Fedilab, Tusky, and F-Droid
---------------------------

There has been some controversy over Tusky's decision to disallow its users to sign in with Gab instances, and conversely Fedilab's decision not to do so.

Gab is a social network focused on free speech above all else, and openly allows harassers and the alt-right, including admitted fascists, to use its service. They use a modified version of Mastodon called Gab Social, which is (by necessity of the AGPLv3 license) open source and available for anyone to use. This means that a few other Gab Social instances exist as well as the main one. Gab is a continued threat to minorities and other oppressed groups.

Tusky is an Android app for accessing Mastodon and compatible instances. On the 22nd of June, the official Tusky account announced that Gab would be blocked.

<p>

<center>
<iframe src="https://mastodon.social/@Tusky/102310951337198004/embed" class="mastodon-embed" style="max-width: 100%; border: 0" allowfullscreen="allowfullscreen" width="400" height="550">
</iframe>
</center>

  
</p>

Fedilab originally implemented a block too, but the developer went back on it, instead deciding to add utilities within the app itself to allow users to block domains. It's worth noting that this accomplishes something different to Tusky's block: Tusky ensures that Gab users can't use the app, while Fedilab provides a mechanism to block people using Gab. Gab users can still use Fedilab.

<p>

<center>
<iframe src="https://framapiaf.org/@fedilab/102299963519678879/embed" class="mastodon-embed" style="max-width: 100%; border: 0" allowfullscreen="allowfullscreen" width="400" height="350">
</iframe>
</center>

  
</p>

This has lead many to criticise the developer of Fedilab, with one user opening [an issue report](https://framagit.org/tom79/fedilab/issues/208#note_435398) to state that adding and subsequently removing the block sends a bad message.

> Implementing a block and then removing it is telling those people "I made an error. Nazis are welcome to use my app." I'm sure this wasn't your intention, but that's how Nazis are receiving this message. And that is a big problem.
>
> <cite>Henry Nguyen</cite>

Kiwi farms, a site where users harass and dox vulnerable people, recently joined the Fediverse, as mentioned in [the last issue](https://bune.city/2019/07/the-fediverse-tribune-issue-1/). They recommend Fedilab as an Android app, almost certainly because of this issue. Again, it's worth noting that Fedilab is not the only Fediverse client not to block Gab, but it is the mostly publicly well known for doing so.

![](https://cdn.bune.city/2019/07/8b3884b494969b54551e51c8a200960c/image-768x244.png)

### F-Droid's Response

F-Droid, an open alternative to Google Play which only allows [free software](https://bune.city/2019/05/lynne-teaches-tech-what-is-free-software/), recently published [an article](https://f-droid.org/en/2019/07/16/statement.html) on this issue. They state that they agree with both Tusky and Fedilab's decisions, and that while they generally try to remain neutral, they are taking a political stance against the harassment of minorities.

Unfortunately, neutrality in such a situation is not possible, as the very act of not doing something is a statement. When I write the TriBune, I try to stay neutral as often as I can, but I'm fully aware that doing so sometimes means doing nothing to protect marginalised groups while being in an ideal position to do so. As such, I would like to offer my opinion on the idea of a stance of neutrality in any public online space, from forums to video sharing sites and even to app stores.

The [paradox of tolerance](https://en.wikipedia.org/wiki/Paradox_of_tolerance) means that tolerating all speech and presence is far from neutrality. The "neutral" approach of not moderating any incoming traffic - save for that which breaks the law - is the same neutrality that 4chan and 8chan maintain. If you allow for all speech including hate speech, you are expressly allowing harassment and bigotry. Allowing users to hurl slurs at the minorities in the group isn't neutrality. Similarly, giving fascists an equal platform with other people is not neutrality. It is often claimed to be neutrality, however.

Staying neutral isn't an option for everybody. A trans person can hardly stay neutral on the issue of whether or not they should be allowed to live. In situations such as these, neutrality is only an option to the privileged who do not face this discrimination. As a white person, I am privileged to be able to remain "neutral" (ignorant) on issues affecting people of colour. This is not something that I do, but due to my privilege, I am able to. As a woman, however, I cannot stay neutral on issues that affect women. There is no real difference between remaining neutral and allowing fascists to use your platform and explicitly allowing fascists to use your platform. The only difference is one of semantics.

> As a project, \[F-Droid\] tried to stay neutral all the time. But sometimes, staying neutral isn’t an option but instead will lead to the uprise of previously mentioned oppression and harassment against marginalized groups. We don’t want and won’t support that. F-Droid is taking a political stance here.
>
> <cite>F-Droid, "Public Statement on Neutrality of Free Software"</cite>

Later into the article, they give their reasoning for supporting both Tusky and Fedilab's decisions.

> We respect Tusky’s decision to block mentioned website; it’s their right to introduce restrictions like these into their software. We also respect Fedilab’s decision not to hardcode a login block; instead they are actively working on making it easier to block certain domains in the app itself and thus giving users more power to moderate which content they’ll see.
>
> <cite>F-Droid, "Public Statement on Neutrality of Free Software"</cite>

Others have expressed concern with Tusky's method of blocking Gab users at the sign up page, noting that it leads to difficult decisions down the line on whether or not particular instances should be blocked. However, this issue could possibly be prevented with a clear set of rules on whether or not to block a given instance at the app level, or with case by case decisions.

The developer of Fedilab does not take an explicitly pro-Gab stance, and instead believes that it's not his duty to block Gab users at the app level. Some have commented that not doing anything to stop Gab users gives implicit support. As I stated above, neutrality is not an option.

On the 29th of July, an app named "Free Tusky" was added to F-Droid. Free Tusky is a modified version of Tusky that is nearly identical to the original, save for one small change - the removal of the implemented blocklist.

![The description is copied from Tusky's description, save for the last two lines.](https://cdn.bune.city/2019/08/3fd58d1ca8b82554d5aa9f6556f42301/freetusky.png)

Some people saw the existence of this app as contradicting with F-Droid's public statement, due to this line:

> Because of this, \[F-Droid\] won’t package nor distribute apps that promote \[discrimination\]. This includes that it won’t distribute an app that promotes the usage of \[Gab\], by either its branding, its pre-filled instance domain or any other direct promotion.
>
> <cite>F-Droid, "Public Statement on Neutrality of Free Software"</cite>

While it could be argued that this is not a "direct promotion" in that Free Tusky does not declare itself a Gab client, it does state that its only difference from Tusky is removing the hardcoded blocklist, which currently only includes Gab.

This can easily be defended with the "neutrality" defence: Instead of choosing to take a stand on which instances should be blocked, the app allows them all. However, the existence of this app is far from neutral. Its sole difference from Tusky is being able to access Gab. When framed in this way, it becomes clearly obvious that Free Tusky is not in any way neutral. Allowing Gab is not neutral, and making changes to allow Gab after it was blocked is *certainly* not neutral. There is no neutral position.

An [F-Droid issue](https://gitlab.com/fdroid/fdroiddata/issues/1736) was opened on the eighth of August by Alicia Etler, recommending the removal of Free Tusky and Fedilab. There were several people in the thread recommending the removal of both apps, as well as many arguing against it. In the end, the issue was closed without any action being taken.

After noticing that Alicia seemed to be quite actively participating in the discussions around these apps' presence on F-Droid, I decided to reach out and contact her for an interview.

### Interview with Alicia

*The opinions expressed in this interview do not necessarily reflect my own.*

Lynne: What is your opinion on Fedilab?  
Alicia: It seems more buggy than Tusky, as there seems to be at least one function that breaks in each new update. But I do enjoy the extra features it has such as the offline cache that lets you search out your old posts. That said, recent decisions by the developer have essentially forced me off the app in favor of Tusky.  
  
Lynne: What is your opinion on Free Tusky?  
Alicia: It's explicitly for Gab. It says as much in the app description, since Gab is the only one on Tusky's blocklist atm and FreeTusky's sole purpose for existing is to remove the blocklist. Anyone who uses it is clearly not one who should be welcomed in any tolerant society.  
  
Lynne: Do you believe any either app is worse than the other?  
Alicia: Well, I think Fedilab has potential to be redeemable, but that could just be wishful thinking on my part in the hopes of saving the extra features that I enjoyed so much. I might see if Tusky is willing to implement some of those things at some point.  
  
Lynne: What do you believe should be done about these apps's presence on F-Droid?  
Alicia: At a minimum, give full transparency in the app descriptions. Fedilab should have a notice pointing out how they might be hostile to marginalized groups due to the various activities that they've performed in order to enable Gab, as well as their other recent activity that according to the dev's own admission, is designed to evade instance blocks, violating the freedoms of instance admins to decide which apps are safe for their users. *(n.b. Alicia is referring to [an update to Fedilab](https://framagit.org/tom79/fedilab/commit/bcef7fa0450037d29d88b8e96edc062fcb502b6c#67ae7d910092124e1449d764ae9e42e6769e3f90_487_484) that changed the user agent string to ensure that Fedilab's internal browser is no longer uniquely identifiable. This means that instances wishing to block users of Fedilab's built in browser (but not the app itself) are now unable to.)* Meanwhile, FreeTusky should have an explicit notice that its sole purpose is to unblock Gab and is otherwise no different than Tusky. Obviously, I'd prefer much harsher measures such as complete removal, but informing their users is the very least F-Droid can do and they apparently can't be bothered to do that much.  
This is especially true in the wake of 8chan.  
  
Lynne: The F-Droid team has so far not acted to remove either of these apps, or the various apps they host that are used to access 4chan and 8chan. Do you feel that this is goes against their recent public statement?  
Alicia: Of course. Their recent public statement is itself a contradiction. The last paragraph directly contradicts everything said in the first two. Active promotion doesn't necessarily mean "We support Gab" will be plastered somewhere. Coded promotion is still promotion. And it's arguably *more* dangerous because it can lure in innocent victims who don't know the full situation, growing the movement and increasing the number of people willing to resort to the violence expressed in places like 8chan and Gab. This is part of why I started my attempts by asking for a "promotes bigotry" antifeature on the F-Droid forums instead of going for a full-on removal. But as things heated up & F-Droid repeatedly refused to do anything, I moved to more extreme positions, demanding more in order to hopefully end at the informing of their users after negotiations were complete.  
  
Lynne: Do you believe removing Fedilab and Free Tusky from F-Droid will help reduce white supremacist presence on the Fediverse?  
Alicia: Most definitely. Outside of the Google Play Store, F-Droid is *the* largest platform for Android apps. And many of these white supremacist terrorists post manifestos just before walking into the place they're about to shoot up. That means they have to be on mobile to do it. Some have argued that they can always just access it from their browsers, but if you've ever tried that on mobile, you'll know how much of a pain that is. As a result, removing apps that enable bigots will help immensely, as they'd either be forced to manually sideload apps or use the clunky mobile browser interface in order to communicate with each other. Either way, it puts extra barriers in front of them and slows down their ability to organize, which gives us more time to enact more permanent solutions.  
Considering that these terrorists use the "free speech" thing a lot in order to justify their invasion of marginalized groups' spaces, they're probably more likely to use F-Droid than Google anyway due to the "freedoms" it represents, so it's possible F-Droid would have a bigger effect on them than they would on other services, even if it's not as big an effect as if Google removed the apps.  
  
Lynne: What app would you recommend using?  
Alicia: Tusky, preferably via direct download on their GitHub page since both Google and F-Droid have made it clear that they're not working to protect marginalized people, but instead working to save face by removing all direct references to the terrorist networks in question. I also want to add that I can't recommend any app stores atm due to those reasons.  
However, I will be looking into getting a small team together to start a basic fork of F-Droid with some interesting features such as separating the repos from the store itself in order to better avoid concentration of power. I have no programming skills in this department, so that's why I'm looking for a small team for it. If anyone's interested, they're welcome to message me on the Fediverse.  
  
Lynne: Is there anything else you'd like to add?  
Alicia: If you're uneducated on the issue, get educated. This isn't just a problem on the Fediverse or even F-Droid/Google. The El Paso shooter from 8chan made that perfectly clear, as did the synagogue shooter from Gab last year. If you think you're educated, double check. There's a lot of misinformation being spewed by these white supremacists, as evidenced by the "invasion" term currently going through the news despite having provably less people coming to seek asylum under Trump than we did Obama. If you think this is only about criminals, think again. The Trump administration is targeting legal citizens too. But most importantly, start making your voice heard wherever you can. The only way to cast out hatred from a society is for that entire society to stand up together to oppose them. So the more voices we have out there, the better our chances. Talk to anyone willing to listen, and especially talk to those above you in the social hierarchy. Bosses, political representatives, etc. They're the ones that can do more to fix this mess, so it's important we encourage them to exercise their power to do so.

*Alicia can be contacted on the Fediverse* [*here*](https://octodon.social/@KitsuneAlicia)*.*

### Conclusion

The situation with F-Droid is messy and controversial. Neither F-Droid nor Fedilab and Free Tusky show any willingness to change.

Fedichive
---------

Fedichive was (briefly) an instance dedicated to archiving content on the Fediverse. I've already touched on why I believe this is immoral in a [previous article](https://bune.city/2019/05/archive-team-and-the-fediverse/) about Archive Team. In short, I believe that stating something publicly is not the same as consenting to having it stored forever. It can even put people in danger.

If you'd like to block Fedichive, here's what you'll need to do to ensure your posts aren't scraped:

*Note: This section was written before Fedichive shut down. While it's unlikely that it will return, you can still take these steps if you want to be safe.*

-   Suspend the domain `fedichive.tk`.
-   Blacklist the instance's IP in your system settings to ensure that their server is unable to talk to yours. On Linux, you can do this with the command `iptables -I INPUT -s 71.234.189.151 -j DROP`</code>, but this will not persist across reboots. You'll need to look up instructions to save this for your distribution.
-   Tell your server (nginx, haproxy, apache...) to block any user agents containing `fedichive`. This will ensure that Fedichive remains blocked even if they change IPs, although the Fedichive admin can remove this user agent string if they are maliciously minded.
-   Defederate from any relays that federate with Fedichive. Even if you've done all of the above, relays can still bring your data across to Fedichive. You can do this by checking your relays in the Mastodon preferences (I'm not sure how to do this on other instance types) and using ctrl-F to search for "fedichive", and then defederating the ones that show up for now. You can readd them if they block Fedichive at a later date.

So much needs to be done due to the way federation works - servers don't say who they are when fetching posts, so there's no way to tell certain servers not to.

It's worth noting that Eugen, the lead developer of Mastodon, has expressed his disdain for Fedichive.

![](https://cdn.bune.city/2019/08/b936a1ab8f3232a4116b43c0485e3053/fedichive.png)

Much of the Fediverse had an averse reaction to Fedichive's presence, and this was apparently enough to drive the admin into a frenzy, posting a tirade of slurs and directed insults while stating that the users of the Fediverse as a whole are "bitchy babies". He repeatedly insulted one of my partners, Zoe, with misogynist slurs and degrading comments.

*Content warning: I'd like to restate that the following screenshots contain various slurs.*

-   ![](https://cdn.bune.city/2019/08/1cfc4352d4f64e346920cdc5c3e72b9e/sshot_2019-08-17_at_14-57-24-1566017844.png)

-   ![](https://cdn.bune.city/2019/08/2a13ee0b9db9cb24716b92dd1f65c2b3/sshot_2019-08-17_at_14-43-45-1566017025.png)

-   ![](https://cdn.bune.city/2019/08/4bc848d7ab792a14c1e320ac9ad6bc71/sshot_2019-08-17_at_14-49-23-1566017363.png)

[]{.wp-block-jetpack-slideshow_button-prev .swiper-button-prev .swiper-button-white}[]{.wp-block-jetpack-slideshow_button-next .swiper-button-next .swiper-button-white}[]{.wp-block-jetpack-slideshow_button-pause}


The admin also admitted to being behind the weedislife and freefedifollowers instances, two instances known for follow spamming and scraping lists of accounts.

![The last post is particularly concerning.](https://cdn.bune.city/2019/08/c502542f06bf3fc4e92b0934b7d852f1/sshot_2019-08-17_at_15-02-31-1566018151.png)

Finally, the admin decided to shut down the "project".

![](https://cdn.bune.city/2019/08/90f8b103b844698419f88a48ee775023/sshot_2019-08-17_at_15-26-30-1566019590.png)

The final post on the instance was the admin claiming that they were going to sell the "data" obtained to Facebook and Russia.

![](https://cdn.bune.city/2019/08/d6c541ad4b4f8e34a9fba69172712b85/sshot_2019-08-17_at_15-29-30-1566019770.png)

Overall, this was a complete mess from start to finish, and rather entertaining to watch it unfold live.

Spotlight
---------

Every issue, I'll take some time to spotlight an interesting account, service, or instance on the Fediverse.

[Birdshite](https://birdsite.monster) is a tool that can be used to bridge Twitter and ActivityPub accounts, meaning that you can follow Twitter user from Mastodon, Pleroma, et al. **Note that as of 2020-04-02, Birdshite no longer functions.**

![You can now follow the official Twitter account from Mastodon, although I don't know why you'd want to :mlem:](https://cdn.bune.city/2019/08/49f973dd639d800401a8615231d32a0f/image.png)

Using birdshite is as simple as replacing `twitter.com` in a given Twitter URL with `birdsite.monster`. For example, if you want to access [this](https://twitter.com/MastodonProject/status/1079196084059205632) tweet from your Mastodon instance, you just need to replace `twitter.com` with `birdsite.monster`, and paste it into your instance's search bar.

![The same post displayed on Mastodon and Twitter.](https://cdn.bune.city/2019/08/e065e47e5633dbc4e927953ffc79dc05/posts.png)

Birdshite allows you to follow Twitter users and interact with their posts, and integrates cleanly and simply with the Fediverse.

